Summary:	3-dimensional perspective star map viewer
Name:		starplot
Version:	0.95.5
Release:	13%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://starplot.org/
Source0:	http://starplot.org/downloads/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-desktop.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	xdg-utils

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	xdg-utils

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
StarPlot is a GTK+ based program, written in C++, which can be used
interactively to view three-dimensional perspective charts of stars.

%prep
%setup -q
%patch0 -p1

# Suppress rpmlint error.
iconv --from-code ISO8859-1 --to-code UTF-8 ./doc/examples/example.spec \
  --output example.utf-8 && mv example.utf-8 ./doc/examples/example.spec

%build
%configure --docdir=%{_pkgdocdir} \
  --disable-rpath --with-webbrowser=xdg-open
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
  --vendor fedora \
%endif
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Remove *.stars files from documentation.
rm -f ./doc/examples/*.stars

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc NLS-TEAM
%doc README
%doc TODO
%doc doc/examples
%doc doc/html
%{_bindir}/%{name}
%{_bindir}/starconvert
%{_bindir}/starpkg
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}32x32.xpm
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/starconvert.1.gz
%{_mandir}/man1/starpkg.1.gz

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/sample.stars
%{_datadir}/%{name}/test.stars

%changelog
* Sat Aug 24 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.95.5-13
- Reflect docdir changes (FTBFS RHBH#993380).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.95.5-11
- Remove --vendor from desktop-file-isntall on f19+ https://fedorahosted.org/fesco/ticket/1077

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-8
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.95.5-6
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 22 2010 Debarshi Ray <rishi@fedoraproject.org> - 0.95.5-4
- Bump to fix FTBFS. (Red Hat Bugzilla #555518)

* Sun Jul 26 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.95.5-3
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.95.5-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 28 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.95.5-1
- Version bump to 0.95.5. Closes Red Hat Bugzilla bug #446948.
- .desktop file, and docdir and gcc-4.3 patches included by upstream.

* Mon Feb 11 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-6
- Rebuilding with gcc-4.3 in Rawhide.

* Fri Jan 04 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.95.4-5
- Added one missing hunk to the gcc-4.3 patch.

* Thu Jan 03 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.95.4-4
- Added missing includes to fix build with gcc-4.3.

* Sat Nov 24 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-3
- Added 'BuildRequires: gettext'.
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.

* Sat Nov 17 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-2
- Added 'BuildRequires: desktop-file-utils' and a .desktop file.
- Added 'BuildRequires: xdg-utils'.
- Fixed faulty documentation directory path.
- Fixed build stanza to correctly detect xdg-open.

* Mon Nov 12 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-1
- Initial build.
